import { PricingSectionContentModal, PricingSectionModal, PricingSectionStylesModel } from './pricing-section.modal';
import { BackgroundModel, ButtonModel, LayOutModel } from '../../styles/style.model';
import { EventsService } from '../../services/events.service';
import BaseSection from '../BaseSection';
import { SPACING } from '../../styles/index';
import * as i0 from "@angular/core";
export declare class PricingSectionComponent extends BaseSection {
    private _eventService;
    data?: PricingSectionModal;
    index?: number;
    edit?: boolean;
    customClass?: string;
    delete?: boolean;
    button?: ButtonModel;
    nextComponentColor?: BackgroundModel;
    content?: PricingSectionContentModal;
    style?: PricingSectionStylesModel;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    get stylesLayout(): LayOutModel;
    getTextColor(): "#000000" | "#ffffff";
    get headingSpace(): SPACING;
    getButtonId(): string;
    editSection(): void;
    redirectTo(data: any): void;
    getClass(): "col-4" | "col-12" | "col-6" | "col-3";
    getAlignment(): "justify-content-start" | "justify-content-center" | "justify-content-end";
    static ɵfac: i0.ɵɵFactoryDeclaration<PricingSectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PricingSectionComponent, "simpo-pricing-section", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
